Tp::Service::ChannelInterfaceSecurableAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelInterfaceSecurableAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
bool | Encrypted () const
bool | Verified () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Securable".

## Member Function Documentation

bool Tp::Service::ChannelInterfaceSecurableAdaptor::Encrypted | ( |  | ) | const

Return the value of the exported D-Bus object property `Encrypted` of type `bool`.

Adaptees should export this property as a Qt property named 'encrypted' with type bool.

True if this channel occurs over an encrypted connection. This does not imply that steps have been taken to avoid man-in-the-middle attacks.

For future support for RFC 5056 Channel Binding it is desirable to be able to use some SASL mechanisms over an encrypted connection to an unverified peer, which can prove that it is the desired destination during the SASL negotiation.

Returns
  The value of exported property `Encrypted`.

bool Tp::Service::ChannelInterfaceSecurableAdaptor::Verified | ( |  | ) | const

Return the value of the exported D-Bus object property `Verified` of type `bool`.

Adaptees should export this property as a Qt property named 'verified' with type bool.

True if this channel occurs over a connection that is protected against tampering, and has been verified to be with the desired destination: for instance, one where TLS was previously negotiated, and the TLS certificate has been verified against a configured certificate authority or accepted by the user.

Returns
  The value of exported property `Verified`.